<!DOCTYPE html>
<html lang="en">
<head>
<title>Φ otseca v1.0.5 security audit script</title>
<meta charset="UTF-8">
<meta name="viewport" content="width=device-width, initial-scale=1">

<!--========================================================================-->

<link rel="icon" type="image/png" href="images/icons/favicon.ico"/>

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/bootstrap/css/bootstrap.min.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="fonts/font-awesome-4.7.0/css/font-awesome.min.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/animate/animate.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/select2/select2.min.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="vendor/perfect-scrollbar/perfect-scrollbar.css">

<!--========================================================================-->

<link rel="stylesheet" type="text/css" href="css/util.css">
<link rel="stylesheet" type="text/css" href="css/main.css">

<!--========================================================================-->
</head>
<body>

<!--========================================================================-->

<img src="images/otseca_logo.png">

<h2 class="title">(Ot)her (Sec)urity (A)wareness</h2>

<p class="link">Project: <a href="https://github.com/trimstray/otseca">https://github.com/trimstray/otseca </a></p>

<p class="desc">Open source security auditing tool to search and dump system configuration.<br>It allows you to generate reports in HTML or RAW-HTML formats.</p>

<p class="info">
Φ otseca v1.0.5 security audit script
</p>

<p class="date">
gen_time: 07.01.2021 17:11:16
</p>

<!--========================================================================-->

<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec hostname -f</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>ubuntu-16.europe-west3-c.c.cc2020-tobiaswieck.internal</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec ifconfig -a</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>ens4      Link encap:Ethernet  HWaddr 42:01:0a:9c:00:05  
          inet addr:10.156.0.5  Bcast:10.156.0.5  Mask:255.255.255.255
          UP BROADCAST RUNNING MULTICAST  MTU:1460  Metric:1
          RX packets:16547 errors:0 dropped:0 overruns:0 frame:0
          TX packets:18609 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:44350082 (44.3 MB)  TX bytes:2143110 (2.1 MB)

lo        Link encap:Local Loopback  
          inet addr:127.0.0.1  Mask:255.0.0.0
          UP LOOPBACK RUNNING  MTU:65536  Metric:1
          RX packets:623 errors:0 dropped:0 overruns:0 frame:0
          TX packets:623 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:1000 
          RX bytes:43375 (43.3 KB)  TX bytes:43375 (43.3 KB)</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #F2D024;">COMMAND: _exec iwconfig</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>command error or empty output</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec netstat -tunap</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>Active Internet connections (servers and established)
Proto Recv-Q Send-Q Local Address           Foreign Address         State       PID/Program name
tcp        0      0 127.0.0.1:587           0.0.0.0:*               LISTEN      5455/sendmail: MTA:
tcp        0      0 0.0.0.0:5355            0.0.0.0:*               LISTEN      24040/systemd-resol
tcp        0      0 0.0.0.0:22              0.0.0.0:*               LISTEN      1860/sshd       
tcp        0      0 127.0.0.1:25            0.0.0.0:*               LISTEN      5455/sendmail: MTA:
tcp        0      0 10.156.0.5:44252        169.254.169.254:80      ESTABLISHED 1841/python3    
tcp        0    352 10.156.0.5:22           92.196.116.34:52974     ESTABLISHED 2416/sshd: ktdw73 [
tcp        0      0 10.156.0.5:44228        169.254.169.254:80      ESTABLISHED 1842/python3    
tcp        0      0 10.156.0.5:44250        169.254.169.254:80      ESTABLISHED 1844/python3    
tcp        0      0 10.156.0.5:44226        169.254.169.254:80      CLOSE_WAIT  1844/python3    
tcp6       0      0 :::5355                 :::*                    LISTEN      24040/systemd-resol
tcp6       0      0 :::22                   :::*                    LISTEN      1860/sshd       
udp        0      0 0.0.0.0:1               0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:32770           0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:32771           0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:32772           0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:32773           0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:32774           0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:7               0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:9               0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:68              0.0.0.0:*                           1086/dhclient   
udp        0      0 0.0.0.0:69              0.0.0.0:*                           20301/portsentry
udp        0      0 10.156.0.5:123          0.0.0.0:*                           1805/ntpd       
udp        0      0 127.0.0.1:123           0.0.0.0:*                           1805/ntpd       
udp        0      0 0.0.0.0:123             0.0.0.0:*                           1805/ntpd       
udp        0      0 0.0.0.0:161             0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:162             0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:513             0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:37444           0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:31335           0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:31337           0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:635             0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:640             0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:641             0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:700             0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:54321           0.0.0.0:*                           20301/portsentry
udp        0      0 0.0.0.0:5355            0.0.0.0:*                           24040/systemd-resol
udp        0      0 0.0.0.0:34555           0.0.0.0:*                           20301/portsentry
udp6       0      0 :::123                  :::*                                1805/ntpd       
udp6       0      0 :::5355                 :::*                                24040/systemd-resol</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec netstat -rn</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>Kernel IP routing table
Destination     Gateway         Genmask         Flags   MSS Window  irtt Iface
0.0.0.0         10.156.0.1      0.0.0.0         UG        0 0          0 ens4
10.156.0.1      0.0.0.0         255.255.255.255 UH        0 0          0 ens4</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec iptables -nL -v</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>Chain INPUT (policy ACCEPT 6228 packets, 10M bytes)
 pkts bytes target     prot opt in     out     source               destination         
    0     0 f2b-sshd   tcp  --  *      *       0.0.0.0/0            0.0.0.0/0            multiport dports 372
16912   44M sshguard   all  --  *      *       0.0.0.0/0            0.0.0.0/0           

Chain FORWARD (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain OUTPUT (policy ACCEPT 7365 packets, 677K bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain f2b-sshd (1 references)
 pkts bytes target     prot opt in     out     source               destination         
    0     0 RETURN     all  --  *      *       0.0.0.0/0            0.0.0.0/0           

Chain sshguard (1 references)
 pkts bytes target     prot opt in     out     source               destination         </pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec iptables -nL -v -t nat</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>Chain PREROUTING (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain INPUT (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain OUTPUT (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         

Chain POSTROUTING (policy ACCEPT 0 packets, 0 bytes)
 pkts bytes target     prot opt in     out     source               destination         </pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec iptables -S</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>-P INPUT ACCEPT
-P FORWARD ACCEPT
-P OUTPUT ACCEPT
-N f2b-sshd
-N sshguard
-A INPUT -p tcp -m multiport --dports 372 -j f2b-sshd
-A INPUT -j sshguard
-A f2b-sshd -j RETURN</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<div class="limiter">
<div class="container-table100">
<div class="wrap-table100">
<div class="table100 ver1 m-b-110">

<div class="table100-head">
<table>
<thead>
<tr class="row100 head">
<th class="cell100 column1" style="background-color: #1F9D55;">COMMAND: _exec lsof -ni</th>
</tr>
</thead>
</table>
</div>
<div class="table100-body js-pscroll">
<table>
<tbody>
<tr class="row100 body">
<td class="cell100 column1">
<pre><code>COMMAND     PID            USER   FD   TYPE DEVICE SIZE/OFF NODE NAME
dhclient   1086            root    6u  IPv4  15926      0t0  UDP *:bootpc 
ntpd       1805             ntp   16u  IPv6  20800      0t0  UDP *:ntp 
ntpd       1805             ntp   17u  IPv4  20803      0t0  UDP *:ntp 
ntpd       1805             ntp   18u  IPv4  20807      0t0  UDP 127.0.0.1:ntp 
ntpd       1805             ntp   19u  IPv4  20809      0t0  UDP 10.156.0.5:ntp 
google_ne  1841            root    7u  IPv4 272947      0t0  TCP 10.156.0.5:44252->169.254.169.254:http (ESTABLISHED)
google_ac  1842            root    5u  IPv4 253822      0t0  TCP 10.156.0.5:44228->169.254.169.254:http (ESTABLISHED)
google_cl  1844            root    5u  IPv4 268841      0t0  TCP 10.156.0.5:44250->169.254.169.254:http (ESTABLISHED)
google_cl  1844            root    6u  IPv4 253806      0t0  TCP 10.156.0.5:44226->169.254.169.254:http (CLOSE_WAIT)
sshd       1860            root    3u  IPv4  21212      0t0  TCP *:ssh (LISTEN)
sshd       1860            root    4u  IPv6  19821      0t0  TCP *:ssh (LISTEN)
sshd       2416            root    3u  IPv4  23168      0t0  TCP 10.156.0.5:ssh->92.196.116.34:52974 (ESTABLISHED)
sshd       2455          ktdw73    3u  IPv4  23168      0t0  TCP 10.156.0.5:ssh->92.196.116.34:52974 (ESTABLISHED)
sendmail-  5455            root    4u  IPv4 183358      0t0  TCP 127.0.0.1:smtp (LISTEN)
sendmail-  5455            root    5u  IPv4 183359      0t0  TCP 127.0.0.1:submission (LISTEN)
portsentr 20301            root    0u  IPv4 197364      0t0  UDP *:1 
portsentr 20301            root    1u  IPv4 197366      0t0  UDP *:echo 
portsentr 20301            root    2u  IPv4 197368      0t0  UDP *:discard 
portsentr 20301            root    3u  IPv4 197370      0t0  UDP *:tftp 
portsentr 20301            root    4u  IPv4 197372      0t0  UDP *:snmp 
portsentr 20301            root    5u  IPv4 197374      0t0  UDP *:snmp-trap 
portsentr 20301            root    6u  IPv4 197376      0t0  UDP *:who 
portsentr 20301            root    7u  IPv4 197378      0t0  UDP *:635 
portsentr 20301            root    8u  IPv4 197380      0t0  UDP *:640 
portsentr 20301            root    9u  IPv4 197382      0t0  UDP *:641 
portsentr 20301            root   10u  IPv4 197384      0t0  UDP *:700 
portsentr 20301            root   11u  IPv4 197386      0t0  UDP *:37444 
portsentr 20301            root   12u  IPv4 197388      0t0  UDP *:34555 
portsentr 20301            root   13u  IPv4 197390      0t0  UDP *:31335 
portsentr 20301            root   14u  IPv4 197392      0t0  UDP *:32770 
portsentr 20301            root   15u  IPv4 197394      0t0  UDP *:32771 
portsentr 20301            root   16u  IPv4 197403      0t0  UDP *:32772 
portsentr 20301            root   17u  IPv4 197405      0t0  UDP *:32773 
portsentr 20301            root   18u  IPv4 198752      0t0  UDP *:32774 
portsentr 20301            root   19u  IPv4 198754      0t0  UDP *:31337 
portsentr 20301            root   20u  IPv4 198756      0t0  UDP *:54321 
systemd-r 24040 systemd-resolve   11u  IPv6  46466      0t0  UDP *:hostmon 
systemd-r 24040 systemd-resolve   13u  IPv4  46467      0t0  UDP *:hostmon 
systemd-r 24040 systemd-resolve   15u  IPv4  46470      0t0  TCP *:hostmon (LISTEN)
systemd-r 24040 systemd-resolve   16u  IPv6  46471      0t0  TCP *:hostmon (LISTEN)</pre></code>
</td>
</tr>
</tbody>
</table>
</div>
</div>
</div>
</div>
</div>


<!--========================================================================-->

<script src="vendor/jquery/jquery-3.2.1.min.js"></script>

<!--========================================================================-->

<script src="vendor/bootstrap/js/popper.js"></script>
<script src="vendor/bootstrap/js/bootstrap.min.js"></script>

<!--========================================================================-->

<script src="vendor/select2/select2.min.js"></script>

<!--========================================================================-->

<script src="vendor/perfect-scrollbar/perfect-scrollbar.min.js"></script>
<script>
$('.js-pscroll').each(function(){
var ps = new PerfectScrollbar(this);

$(window).on('resize', function(){
ps.update();
})
});

</script>

<!--========================================================================-->

<script src="js/main.js"></script>

</body>
</html>
